## osinfo_productlist

osinfo_productlist — A list of software products

## Functions

OsinfoProductList * | osinfo_productlist_new ()
OsinfoProductList * | osinfo_productlist_new_copy ()
OsinfoProductList * | osinfo_productlist_new_filtered ()
OsinfoProductList * | osinfo_productlist_new_intersection ()
OsinfoProductList * | osinfo_productlist_new_union ()

## Types and Values

#define | OSINFO_TYPE_PRODUCTLIST

## Description

OsinfoProductList is a list specialization that stores only OsinfoProduct objects.

## Functions

### osinfo_productlist_new ()

    OsinfoProductList *
    osinfo_productlist_new (void);

Construct a new os list that is initially empty.

#### Returns

an empty os list.

[transfer full]

### osinfo_productlist_new_copy ()

    OsinfoProductList *
    osinfo_productlist_new_copy (OsinfoProductList *source);

`osinfo_productlist_new_copy` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_copy()` instead.

Construct a new os list that is filled with oss from `source`

#### Parameters

source | the os list to copy |

#### Returns

a copy of the os list.

[transfer full]

### osinfo_productlist_new_filtered ()

    OsinfoProductList *
    osinfo_productlist_new_filtered (OsinfoProductList *source,
                                     OsinfoFilter *filter);

`osinfo_productlist_new_filtered` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_filtered()` instead.

Construct a new os list that is filled with oss from `source` that match `filter`

#### Parameters

source | the os list to copy |
filter | the filter to apply |

#### Returns

a filtered copy of the os list.

[transfer full]

### osinfo_productlist_new_intersection ()

    OsinfoProductList *
    osinfo_productlist_new_intersection (OsinfoProductList *sourceOne,
                                         OsinfoProductList *sourceTwo);

`osinfo_productlist_new_intersection` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_intersection()` instead.

Construct a new os list that is filled with only the oss that are present in both `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first os list to copy |
sourceTwo | the second os list to copy |

#### Returns

an intersection of the two os lists.

[transfer full]

### osinfo_productlist_new_union ()

    OsinfoProductList *
    osinfo_productlist_new_union (OsinfoProductList *sourceOne,
                                  OsinfoProductList *sourceTwo);

`osinfo_productlist_new_union` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_union()` instead.

Construct a new os list that is filled with all the oss that are present in either `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first os list to copy |
sourceTwo | the second os list to copy |

#### Returns

a union of the two os lists.

[transfer full]

## Types and Values

### OSINFO_TYPE_PRODUCTLIST

    #define OSINFO_TYPE_PRODUCTLIST (osinfo_productlist_get_type ())

## See Also

OsinfoList, OsinfoProduct